Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPolyDataWriter Class Reference

`#include <vtkXMLPolyDataWriter.h>`

Inheritance diagram for vtkXMLPolyDataWriter:

[legend]
Collaboration diagram for vtkXMLPolyDataWriter:

[legend]
List of all members.

## Detailed Description

Write VTK XML PolyData files.

Date:
  2002/10/16 18:23:07

Revision:
  1.1

vtkXMLPolyDataWriter writes the VTK XML PolyData file format. One polygonal data input can be written into one file in any number of streamed pieces (if supported by the rest of the pipeline). The standard extension for this writer's file format is "vtp". This writer is also used to write a single piece of the parallel file format.

See also:
  vtkXMLPPolyDataWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (97%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLPolyDataWriter.cxx)`
  - .`h` (`/IO/vtkXMLPolyDataWriter.h)`

Definition at line 50 of file vtkXMLPolyDataWriter.h.

## Public Types
typedef vtkXMLUnstructuredDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
const char * | GetDefaultFileExtension ()
void | SetInput (vtkPolyData *input)
vtkPolyData * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPolyDataWriter * | SafeDownCast (vtkObject *o)
vtkXMLPolyDataWriter * | New ()
## Protected Methods
| vtkXMLPolyDataWriter ()
| ~vtkXMLPolyDataWriter ()
const char * | GetDataSetName ()
void | SetInputUpdateExtent (int piece, int numPieces, int ghostLevel)
void | WriteInlinePieceAttributes ()
void | WriteInlinePiece (vtkIndent indent)
void | WriteAppendedMode (vtkIndent indent)
void | WriteAppendedPieceAttributes (int index)
void | WriteAppendedPiece (int index, vtkIndent indent)
void | WriteAppendedPieceData (int index)
## Protected Attributes
unsigned long * | NumberOfVertsPositions
unsigned long * | NumberOfLinesPositions
unsigned long * | NumberOfStripsPositions
unsigned long * | NumberOfPolysPositions
unsigned long ** | VertsPositions
unsigned long ** | LinesPositions
unsigned long ** | StripsPositions
unsigned long ** | PolysPositions

## Member Typedef Documentation

typedef vtkXMLUnstructuredDataWriter vtkXMLPolyDataWriter::Superclass

| Reimplemented from vtkXMLUnstructuredDataWriter. Definition at line 53 of file vtkXMLPolyDataWriter.h.

## Constructor & Destructor Documentation

vtkXMLPolyDataWriter::vtkXMLPolyDataWriter | ( |  | ) | `[protected]`

vtkXMLPolyDataWriter::~vtkXMLPolyDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPolyDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLUnstructuredDataWriter.

int vtkXMLPolyDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLUnstructuredDataWriter.

virtual int vtkXMLPolyDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLUnstructuredDataWriter.

vtkXMLPolyDataWriter* vtkXMLPolyDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLUnstructuredDataWriter.

void vtkXMLPolyDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLUnstructuredDataWriter.

vtkXMLPolyDataWriter* vtkXMLPolyDataWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLPolyDataWriter::SetInput | ( | vtkPolyData * | input | ) |

| Get/Set the writer's input.

vtkPolyData* vtkXMLPolyDataWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

const char* vtkXMLPolyDataWriter::GetDefaultFileExtension | ( |  | ) | `[virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

const char* vtkXMLPolyDataWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLUnstructuredDataWriter.

void vtkXMLPolyDataWriter::SetInputUpdateExtent | ( | int | piece,
|  | int | numPieces,
|  | int | ghostLevel
| ) | `[protected, virtual]`

| Implements vtkXMLUnstructuredDataWriter.

void vtkXMLPolyDataWriter::WriteInlinePieceAttributes | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataWriter.

void vtkXMLPolyDataWriter::WriteInlinePiece | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataWriter.

void vtkXMLPolyDataWriter::WriteAppendedMode | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataWriter.

void vtkXMLPolyDataWriter::WriteAppendedPieceAttributes | ( | int | index | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataWriter.

void vtkXMLPolyDataWriter::WriteAppendedPiece | ( | int | index,
|  | vtkIndent | indent
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataWriter.

void vtkXMLPolyDataWriter::WriteAppendedPieceData | ( | int | index | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataWriter.

## Member Data Documentation

unsigned long* vtkXMLPolyDataWriter::NumberOfVertsPositions`[protected]`

| Definition at line 82 of file vtkXMLPolyDataWriter.h.

unsigned long* vtkXMLPolyDataWriter::NumberOfLinesPositions`[protected]`

| Definition at line 83 of file vtkXMLPolyDataWriter.h.

unsigned long* vtkXMLPolyDataWriter::NumberOfStripsPositions`[protected]`

| Definition at line 84 of file vtkXMLPolyDataWriter.h.

unsigned long* vtkXMLPolyDataWriter::NumberOfPolysPositions`[protected]`

| Definition at line 85 of file vtkXMLPolyDataWriter.h.

unsigned long** vtkXMLPolyDataWriter::VertsPositions`[protected]`

| Definition at line 86 of file vtkXMLPolyDataWriter.h.

unsigned long** vtkXMLPolyDataWriter::LinesPositions`[protected]`

| Definition at line 87 of file vtkXMLPolyDataWriter.h.

unsigned long** vtkXMLPolyDataWriter::StripsPositions`[protected]`

| Definition at line 88 of file vtkXMLPolyDataWriter.h.

unsigned long** vtkXMLPolyDataWriter::PolysPositions`[protected]`

| Definition at line 89 of file vtkXMLPolyDataWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPolyDataWriter.h